import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import CKEditor from '@ckeditor/ckeditor5-vue';

import "./assets/css/normalize.css";
import "./assets/css/common.less";

const app = createApp(App);

app.directive('focus', {
    // 將el-input的下的input元素聚焦

    mounted(el) {
        const inputElement = el.querySelector('input');
        // Focus the element
        inputElement.focus()
    }
})

app.use(router);
app.use(store);
app.use(CKEditor);

app.mount("#app");
